LibKstat.KstatTimer (JNA API)
Description: declaration: package: com.sun.jna.platform.unix.solaris, interface: LibKstat, class: KstatTimer

Package com.sun.jna.platform.unix.solaris

# Class LibKstat.KstatTimer

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.unix.solaris.LibKstat.KstatTimer

Enclosing interface:
  LibKstat

@FieldOrder({"name","resv","num_events","elapsed_time","min_time","max_time","start_time","stop_time"}) public static class LibKstat.KstatTimer extends Structure
Event timer statistics. These provide basic counting and timing information for any type of event.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `elapsed_time`
  `long`
  `max_time`
  `long`
  `min_time`
  `byte[]`
  `name`
  `long`
  `num_events`
  `byte`
  `resv`
  `long`
  `start_time`
  `long`
  `stop_time`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KstatTimer()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### name

    public byte[] name

  - ### resv

    public byte resv

  - ### num_events

    public long num_events

  - ### elapsed_time

    public long elapsed_time

  - ### min_time

    public long min_time

  - ### max_time

    public long max_time

  - ### start_time

    public long start_time

  - ### stop_time

    public long stop_time

- ## Constructor Details

  - ### KstatTimer

    public KstatTimer()